Name:           perl-RPC-XML
Version:        0.82
Release:        2%{?dist}
Summary:        Set of classes for core data, message and XML handling
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/RPC-XML/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJRAY/RPC-XML-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008008
BuildRequires:  perl(Carp)
BuildRequires:  perl(DateTime) >= 1.54
BuildRequires:  perl(DateTime::Format::ISO8601) >= 0.15
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(HTTP::Daemon) >= 6.12
BuildRequires:  perl(HTTP::Message) >= 6.26
BuildRequires:  perl(IO::Socket::IP)
BuildRequires:  perl(LWP) >= 6.51
BuildRequires:  perl(Module::Load) >= 0.36
BuildRequires:  perl(Scalar::Util) >= 1.55
BuildRequires:  perl(Socket)
BuildRequires:  perl(Test::More) >= 1.302183
BuildRequires:  perl(XML::LibXML) >= 2.0206
BuildRequires:  perl(XML::Parser) >= 2.46
Requires:       perl(Carp)
Requires:       perl(DateTime) >= 1.54
Requires:       perl(DateTime::Format::ISO8601) >= 0.15
Requires:       perl(HTTP::Daemon) >= 6.12
Requires:       perl(HTTP::Message) >= 6.26
Requires:       perl(LWP) >= 6.51
Requires:       perl(Module::Load) >= 0.36
Requires:       perl(Scalar::Util) >= 1.55
Requires:       perl(Socket)
Requires:       perl(XML::LibXML) >= 2.0206
Requires:       perl(XML::Parser) >= 2.46
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The RPC::XML package is an implementation of the XML-RPC standard. The
package as a whole provides classes for data, for clients, for servers and
for parsers (based on the XML::Parser and XML::LibXML packages from CPAN).

%prep
%setup -q -n RPC-XML-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog ChangeLog.xml META.json perlcritic.rc README README.apache2
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man3/*
%{_mandir}/man1/*

%changelog
* Fri Oct 20 2023 Daniel Berteaud <dbd@ehtrace.com> 0.82-2
- new package built with tito

* Fri Oct 20 2023 Daniel Berteaud <dbd@ehtrace.com> 0.82-1
- Specfile autogenerated by cpanspec 1.78.
